[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBNavFocusableButton.NavStyle

Contains styles and options that are enabled for the DB navigator button.

## Declaration

Source position: dbctrls.pp line 1451

`public property TDBNavFocusableButton.NavStyle : TDBNavButtonStyle read FNavStyle write FNavStyle;`

## Description

NavStyle is a TDBNavButtonStyle property with the set of style or options enabled for the focusable DB navigator button. Its values may be updated in the TDBCustomNavigator.UpdateButtons method.

## See also

TDBNavButtonStyle |  | Controls the appearance and behavior of a navigator button.
TDBCustomNavigator.UpdateButtons |  | UpdateButtons - if the position of the buttons need to be changed, does this, then updates the status of the buttons (see ActiveChanged).